---
updatedAt: 2026-04-12T09:25:08.000Z
---

# Assign items to a repricer strategy

Call this endpoint to assign repricer strategies for items in the Walmart Marketplace.

> **Note**: This page describes examples using only the required parameters and inputs to assign repricer strategies for items. For a full list of customization options and additional capabilities, refer to the [Marketplace Pricing API Reference](/us-marketplace/reference/getrepricerfeed).

```Text bash
POST https://marketplace.walmartapis.com/v3/repricerFeeds
```

# Sample request

This request assigns a item to a repricer strategy. The JSON payload in the request body contains two main parts: `ItemFeedHeader` and` Item`. It aims to dynamically adjust the item's pricing strategy to match competitive prices within the specified price range.

* The `ItemFeedHeader` provides metadata about the feed, such as the processing mode (REPLACE), subset (EXTERNAL), marketplace (WALMART\_US), selling channel (repricerstrategy), version (1.1), and locale (en).
* The `Item` section specifies the repricer strategy details for the item, including the SKU (06068064605122shoe), the repricer strategy (Match Competitive Price), and the minimum and maximum allowed prices (7.2 and 8, respectively).

```Text cURL
curl --request POST \
     --url https://marketplace.walmartapis.com/v3/repricerFeeds \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'WM_SEC.ACCESS_TOKEN: eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....' \
     --header 'WM_QOS.CORRELATION_ID: b3261d2d-028a-4ef7-8602-633c23200af6' \
     --data '
{
  "ItemFeedHeader": {
    "processMode": "REPLACE",
    "subset": "EXTERNAL",
    "mart": "WALMART_US",
    "sellingChannel": "repricerstrategy",
    "version": "1.1",
    "locale": "en"
  },
  "Item": [
    {
      "Strategy": {
        "sku": "SKU_Item",
        "repricerStrategy": "Match Competitive Price",
        "minimumSellerAllowedPrice": 7.2,
        "maximumSellerAllowedPrice": 8
      }
    }
  ]
}
'
```
```Text Python
import requests

url = "https://marketplace.walmartapis.com/v3/repricerFeeds"

headers = {
    "accept": "application/json",
    "content-type": "application/json",
    "WM_SEC.ACCESS_TOKEN": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....",
    "WM_QOS.CORRELATION_ID": "b3261d2d-028a-4ef7-8602-633c23200af6"
}

payload = {
    "ItemFeedHeader": {
        "processMode": "REPLACE",
        "subset": "EXTERNAL",
        "mart": "WALMART_US",
        "sellingChannel": "repricerstrategy",
        "version": "1.1",
        "locale": "en"
    },
    "Item": [
        {
            "Strategy": {
                "sku": "SKU_Item",
                "repricerStrategy": "Match Competitive Price",
                "minimumSellerAllowedPrice": 7.2,
                "maximumSellerAllowedPrice": 8
            }
        }
    ]
}

response = requests.post(url, headers=headers, json=payload)

print(response.status_code)
print(response.text)
```

## Modify your code

To assign a diffferent item, update the necessary parameters in the request to reflect the changes you want. For example, you can:

* Replace `WM_SEC.ACCESS_TOKEN` and `WM_QOS.CORRELATION_ID` with actual values.
* Choose a different `repricerStrategy` depending on your pricing goals.
* Set different pricing for `minimumSellerAllowedPrice` and `maximumSellerAllowedPrice`.
* Replace `SKU_Item` with the actual SKU of the item.

# Sample response

The response confirms that the feed submission was processed successfully, and the repricer strategy was applied to the item.

```Text JSON
{
  "feedId": "AFEE4EEC9C3541B6A7B58E694416EC82@AUoBAwA"
}
```

# Result

If successful, the API response returns a `feedID`.

You can use this feed ID with the [Feed Status API](/us-marketplace/reference/getfeeditemstatus) or [All Feed Statuses API](/us-marketplace/reference/getallfeedstatuses) to monitor the progress of your submission and show the line-item status.